Bug 1417329 - emacs-php-mode-v1.18.2 is available
Summary: emacs-php-mode-v1.18.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-php-mode
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 00:19 UTC by Upstream Release Monitoring
Modified: 2017-11-27 12:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 12:44:29 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (18.97 KB, patch)
2017-01-28 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (18.97 KB, patch)
2017-02-01 12:27 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (18.97 KB, patch)
2017-02-03 00:22 UTC, Upstream Release Monitoring
no flags Details | Diff
Patch for 1.18.2-1. (12.66 KB, patch)
2017-09-12 06:21 UTC, Tim Landscheidt
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-28 00:19:41 UTC
Latest upstream release: v1.18.0
Current version/release in rawhide: 1.17.0-6.fc24
URL: http://github.com/ejmr/php-mode

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8348/

Comment 1 Upstream Release Monitoring 2017-01-28 00:19:53 UTC
Patching or scratch build for emacs-php-mode-1.17.0 failed.

Comment 2 Upstream Release Monitoring 2017-01-28 00:19:55 UTC
Created attachment 1245292 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-28 00:19:57 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2017-02-01 12:26:51 UTC
Latest upstream release: v1.18.1
Current version/release in rawhide: 1.17.0-6.fc24
URL: http://github.com/ejmr/php-mode

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8348/

Comment 5 Upstream Release Monitoring 2017-02-01 12:27:00 UTC
Patching or scratch build for emacs-php-mode-1.17.0 failed.

Comment 6 Upstream Release Monitoring 2017-02-01 12:27:02 UTC
Created attachment 1246636 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2017-02-01 12:27:03 UTC
Patches were not touched. All were applied properly

Comment 8 Upstream Release Monitoring 2017-02-03 00:21:50 UTC
Latest upstream release: v1.18.2
Current version/release in rawhide: 1.17.0-6.fc24
URL: http://github.com/ejmr/php-mode

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/8348/

Comment 9 Upstream Release Monitoring 2017-02-03 00:22:01 UTC
Patching or scratch build for emacs-php-mode-1.17.0 failed.

Comment 10 Upstream Release Monitoring 2017-02-03 00:22:02 UTC
Created attachment 1247307 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2017-02-03 00:22:04 UTC
Patches were not touched. All were applied properly

Comment 12 Tim Landscheidt 2017-02-07 20:33:03 UTC
I have filed https://github.com/ejmr/php-mode/issues/336 (pull request https://github.com/ejmr/php-mode/pull/338) and https://github.com/ejmr/php-mode/issues/337 for two compilation warnings and https://github.com/ejmr/php-mode/issues/339 for a compilation error:

| + /usr/bin/emacs -batch --no-init-file --no-site-file --eval '(progn (setq load-path (cons "." load-path)))' -f batch-byte-compile skeleton/php-array.el skeleton/php-classobj.el skeleton/php-control-structures.el skeleton/php-crack.el skeleton/php-current.el skeleton/php-dio.el skeleton/php-dom.el skeleton/php-exceptions.el skeleton/php-exif.el skeleton/php-ext.el skeleton/php-filesystem.el skeleton/php-gd.el skeleton/php-math.el skeleton/php-pcre.el skeleton/php-regex.el skeleton/php-simplexml.el skeleton/php-strings.el skeleton/php-var.el skeleton/php-xmlparser.el skeleton/php-xmlreader.el
| Eval error in the `c-lang-defconst' for `c-mode-menu' in php-mode:

| In toplevel form:
| skeleton/php-current.el:33:1:Error: Invalid function: (append (quote (["Complete function name" php-complete-function t] ["Browse manual" php-browse-manual t] ["Search documentation" php-search-documentation t] ["----" t])) (c-get-lang-constant (quote c-mode-menu) (quote (cc-langs))))

Comment 13 Tim Landscheidt 2017-02-07 22:42:04 UTC
I was mistaken about attributing the error to php-mode; in fact %_emacs_bytecompile does not work with files in subdirectories (cf. bug #1420129).

Comment 14 Tim Landscheidt 2017-09-12 06:21:44 UTC
Created attachment 1324710 [details]
Patch for 1.18.2-1.

I have updated the spec file for 1.18.2 and fixed a couple of bits and bobs.  It seems to be working for me on Fedora 25 (cf. https://koji.fedoraproject.org/koji/taskinfo?taskID=21809506), but before I try to test the other releases & Co., I thought it might be easier to share the package so that more people can chime in.

I think all changes should be explained in the patch or self-explanatory, if not, please advise.  Similarly, any deviation from packaging guidelines is unintended, so if there is something "unusual", please point that out.

Comment 15 Tim Landscheidt 2017-09-27 12:20:56 UTC
Petr, did you get a chance to look at my patch in comment #14?  Would you prefer someone else to review it?  Who would you suggest?  Anything else I can do to move this forward?

Comment 16 Tim Landscheidt 2017-10-27 03:09:52 UTC
Petr: *ping*.  Thanks!

Comment 17 Petr Hracek 2017-11-27 12:44:29 UTC
In rawhide fixed by commit https://src.fedoraproject.org/rpms/emacs-php-mode/c/fd406af41e122c28714507a9e3abef80aa21c6c5?branch=master

The rest branches will follow soon.


Note You need to log in before you can comment on or make changes to this bug.